OPENPAM_RESTORE_CRED(3) | Library Functions Manual | OPENPAM_RESTORE_CRED(3)

# NAME

openpam_restore_cred — restore credentials

# SYNOPSIS

#include <sys/types.h>
#include <security/pam_appl.h>
#include <security/openpam.h>
int
openpam_restore_cred(pam_handle_t *pamh);

# DESCRIPTION

The openpam_restore_cred() function restores the credentials saved by openpam_borrow_cred(3).

# RETURN VALUES

The openpam_restore_cred() function returns one of the following values:

[`PAM_SUCCESS`]
  Success.
[`PAM_NO_MODULE_DATA`]
  Module data not found.
[`PAM_SYSTEM_ERR`]
  System error.

# SEE ALSO

setegid(2), seteuid(2), setgroups(2), openpam_borrow_cred(3), pam(3), pam_strerror(3)

# STANDARDS

The openpam_restore_cred() function is an OpenPAM extension.

# AUTHORS

The openpam_restore_cred() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.
The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

April 30, 2017 | NetBSD 8.2